package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWFJG0 extends MwfRequest<MWFJG0, MWFJG0Response> {

    @Parameter(name = "APP_ID")
    MWFJG0 appId(String appId);
    @Parameter(name = "CIF")
    MWFJG0 cif(String cif);
    @Parameter(name = "CM_ID")
    MWFJG0 cmId(String cmId);
    @Parameter(name = "CasoveRazitko")
    MWFJG0 casoveRazitko(java.util.Date casoveRazitko);
    @Parameter(name = "ICO")
    MWFJG0 ico(String ico);
    @Parameter(name = "Pristup")
    MWFJG0 pristup(String pristup);
    @Parameter(name = "Produkt")
    MWFJG0 produkt(String produkt);
    @Parameter(name = "ProduktKontext")
    MWFJG0 produktKontext(String produktKontext);
    @Parameter(name = "RC")
    MWFJG0 rc(String rc);
    @Parameter(name = "StavSluzby")
    MWFJG0 stavSluzby(String stavSluzby);
    @Parameter(name = "Transaction_ID")
    MWFJG0 transactionID(String transactionID);
    @Parameter(name = "TypDocumentu")
    MWFJG0 typDocumentu(String typDocumentu);
    @Parameter(name = "ZpusobPodepsani")
    MWFJG0 zpusobPodepsani(String zpusobPodepsani);
}
